Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035636
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajorhave not tried2017-03-28 18:382017-05-29 17:43
ReporterSandrahuguetView Statuspublic 
Assigned Tomarkmm82 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q3
StatusclosedFix in branchFixed in SCM revisione833242c1051
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035636: Business partner selector get stuck in create lines from invoice in hgvol environment

DescriptionBusiness partner selector get stuck in create lines from invoice in hgvol environment
Steps To ReproduceIn a hgvol enviroment
-Login in the ERP
-Go to Sales Invoice window
-Create new record
-Select a business partner
-Click on create lines from
-Open business partner selector

Business partner selector get stuck, see screenshoot
TagsPerformance
Attached Filespng file icon createlinesfrom.png [^] (66,806 bytes) 2017-03-28 18:39

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0009897 closedshuehner Business Partner selector is slow with many business partners 
depends on defect 0035210 closedmarkmm82 sequential scans in c_bpartner using partner selector drop down filter 

-  Notes
(0096096)
markmm82 (developer)
2017-04-20 19:21

Test Plan:
In a hgvol enviroment
-Login in the ERP
-Go to Sales Invoice window
-Create new record
-Select a business partner
-Click on create lines from
-Open business partner selector

Notice that Business partner selector opens and grid is filled with filtered results.
(0096141)
hgbot (developer)
2017-04-24 18:59

Repository: erp/devel/pi
Changeset: e833242c1051edf0af778d1621f27b44ac1bed3b
Author: Mark <markmm82 <at> gmail.com>
Date: Sun Apr 16 13:16:12 2017 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/e833242c1051edf0af778d1621f27b44ac1bed3b [^]

Fixes issue 35636: Business partner selector get stuck in create lines from
invoice in hgvol environment

In high volume environment, when the Business Partner selector is opened from Create
lines from process in the Invoice window, it takes too long to load results and as
consequence the browser was stocked.

To improve the performance in this selector, was changed the BusinessPartner_data.xsql
methods to use UPPER instead of C_IGNORE_ACCENT function, this way it uses the index
created in issue 35210 and improves of performance it introduces.

---
M src/org/openbravo/erpCommon/info/BusinessPartner_data.xsql
---
(0096142)
aferraz (developer)
2017-04-24 18:59

Code review + Testing OK
(0096200)
aferraz (developer)
2017-04-26 16:21

UPPER function will be used to filter by Business Partner name in Create Lines From process, which unlike C_IGNORE_ACCENT distinguishes between A and Á. Thus, it will behave same as normal BP selectors and will take advantage of index created in 0035210.
(0096904)
hudsonbot (developer)
2017-05-29 17:43

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1ee70113bdc4 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-03-28 18:38 Sandrahuguet New Issue
2017-03-28 18:38 Sandrahuguet Assigned To => Triage Finance
2017-03-28 18:38 Sandrahuguet Modules => Core
2017-03-28 18:38 Sandrahuguet Triggers an Emergency Pack => No
2017-03-28 18:39 Sandrahuguet File Added: createlinesfrom.png
2017-03-28 18:40 Sandrahuguet Tag Attached: Performance
2017-03-30 13:44 shuehner Severity minor => major
2017-03-30 20:13 markmm82 Assigned To Triage Finance => markmm82
2017-03-30 20:15 markmm82 Status new => acknowledged
2017-04-04 22:57 markmm82 Status acknowledged => scheduled
2017-04-12 14:06 aferraz Relationship added related to 0035210
2017-04-12 14:08 aferraz Relationship added related to 0009897
2017-04-12 14:50 aferraz Relationship replaced depends on 0035210
2017-04-20 19:21 markmm82 Note Added: 0096096
2017-04-24 18:59 hgbot Checkin
2017-04-24 18:59 hgbot Note Added: 0096141
2017-04-24 18:59 hgbot Status scheduled => resolved
2017-04-24 18:59 hgbot Resolution open => fixed
2017-04-24 18:59 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e833242c1051edf0af778d1621f27b44ac1bed3b [^]
2017-04-24 18:59 aferraz Review Assigned To => aferraz
2017-04-24 18:59 aferraz Note Added: 0096142
2017-04-24 18:59 aferraz Status resolved => closed
2017-04-24 18:59 aferraz Fixed in Version => 3.0PR17Q3
2017-04-26 16:21 aferraz Note Added: 0096200
2017-05-29 17:43 hudsonbot Checkin
2017-05-29 17:43 hudsonbot Note Added: 0096904


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker